Get Full Blink
curl --request GET \
--url https://api.dial.to/v1/blink \
--header 'x-blink-client-key: <api-key>'import requests
url = "https://api.dial.to/v1/blink"
headers = {"x-blink-client-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-blink-client-key': '<api-key>'}};
fetch('https://api.dial.to/v1/blink', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"icon": "<string>",
"title": "<string>",
"description": "<string>",
"label": "<string>",
"context": {
"url": "<string>",
"websiteUrl": "<string>",
"category": "<string>",
"provider": {
"name": "<string>",
"icon": "<string>"
}
},
"preview": {
"image": "<string>",
"title": "<string>",
"description": "<string>",
"context": {
"url": "<string>",
"websiteUrl": "<string>",
"category": "<string>",
"provider": {
"name": "<string>",
"icon": "<string>"
}
},
"cta": "<string>"
},
"extendedDescription": "<string>",
"disabled": true,
"links": {
"actions": [
{
"href": "<string>",
"label": "<string>",
"parameters": [
"<unknown>"
]
}
],
"dataTable": "<string>"
},
"error": {
"message": "<string>"
},
"message": "<string>"
}{
"message": "<string>"
}Blink
Get Full Blink
Retrieve complete interactive Blink with all available actions and metadata
GET
/
v1
/
blink
Get Full Blink
Authorizations
Client key to authorize requests.
Query Parameters
Blink API URL
Example:
"https://jito.dial.to/stake"
Response
Successful response
Blink
Available options:
action, completed Blink Context
Show child attributes
Show child attributes
Blink Preview
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Error
Show child attributes
Show child attributes
Was this page helpful?
⌘I